%define name wxGTK
%define version 2.2.9
%define release 3mdk
%define major 6


Name:		%{name}
Summary:	The GTK+ 1.2 port of the wxWindows library
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		System/Libraries
URL:		http://www.wxwindows.org/
Source:		http://prdownloads.sourceforge.net/wxwindows/%{name}-%{version}.tar.bz2
Provides:	wxwin
BuildRoot:	%{_tmppath}/%{name}-%(id -u -n)
Buildrequires:	libpng-devel
Buildrequires:	zlib-devel
Buildrequires:	gtk+-devel
Buildrequires:	libjpeg-devel
Buildrequires:	bison, flex
Buildrequires:	libtiff-devel

%description
wxWindows is a free C++ library for cross-platform GUI development.
With wxWindows, you can create applications for different GUIs (GTK+,
Motif/LessTif, MS Windows, Mac) from the same source code.

%package -n %{name}%{major}
Summary: Main library for %{name}
Group: System/Libraries

%description -n %{name}%{major}
This package contains the library needed to run programs dynamically
linked with %{name}.


%package -n %{name}%{major}-devel
Summary:	The GTK+ 1.2 port of the wxWindows library
Group:		System/Libraries
Requires:	wxGTK%{major} = %version
Provides:	wxGTK-devel = %version-%release


%description -n %{name}%{major}-devel
Header files for wxGTK, the GTK+ 1.2 port of the wxWindows library.

%package  -n %{name}%{major}-gl
Summary:	The GTK+ 1.2 port of the wxWindows library, OpenGl add-on.
Group:		System/Libraries
Requires:	wxGTK%{major} = %version-%release
Requires:	locales-gl

%description -n %{name}%{major}-gl
OpenGl add-on library for wxGTK, the GTK+ 1.2 port of the wxWindows library.

%prep
%setup -q

%build
%configure --enable-burnt_name --without-odbc \
  --with-opengl --with-gtk  --without-debug_flag --enable-soname \
  --without-debug_info --enable-optimise --datadir=%{_datadir}/wxGTK%{version} \
  --with-libpng=sys --with-libjpeg=sys --with-libtiff=sys \
  --with-zlib=sys 
%make

%install 
%makeinstall datadir=%buildroot/%{_datadir}/wxGTK%{version}
%{find_lang} %{name}

%clean
rm -rf %buildroot

%post   -n %{name}%{major} -p  /sbin/ldconfig
%post   -n %{name}%{major}-gl -p /sbin/ldconfig
%postun -n %{name}%{major} -p  /sbin/ldconfig
%postun -n %{name}%{major}-gl -p /sbin/ldconfig


%files -n %{name}%{major}
%defattr(-,root,root,-)
%doc CHANGES.txt COPYING.LIB INSTALL.txt LICENCE.txt README.txt SYMBOLS.txt TODO.txt
%{_datadir}/wxGTK%{version}/wx/*
%{_libdir}/libwx_gtk-*.so.*

%files -n %{name}%{major}-devel -f %{name}.lang
%defattr(-,root,root,-)
%doc samples/*
%{_bindir}/*
%{_includedir}/wx/*
%{_libdir}/wx/*
%{_libdir}/libwx_gtk*.so


%files -n %{name}%{major}-gl -f %{name}.lang
%defattr(-,root,root,-)
%doc README.txt
%{_libdir}/libwx_gtk_gl*.so.*


%changelog
* Wed Feb 13 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.2.9-3mdk
- use shared libs

* Mon Feb 04 2002 Yves Duret <yduret@mandrakesoft.com> 2.2.9-2mdk
- fix libwx_gtk-2.2.so.6 pbs thx Goetz Waschk <waschk@informatik.uni-rostock.de>
- more buildrequires

* Fri Feb 01 2002 Yves Duret <yduret@mandrakesoft.com> 2.2.9-1mdk
- version 2.2.9
- fix bad %%defattr and bad %%files list
- %%setup -q
- use %%buildroot everywhere
- globbing and macros are powerfull
- %%configure in %%build not in %%prep
- buildrequires is for the masses

* Tue Nov 13 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 2.2.7-13mdk
- rebuilt with current cooker, linking looks broken

* Thu Nov  8 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 2.2.7-12mdk
- Sample Makefile Problem.

* Wed Nov  7 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 2.2.7-11mdk
- %lang pbs, locale pbs & audacity incompatibility.

* Sat Nov  3 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 2.2.7-10mdk
- fixes some bugs causing by pkg.

* Fri Nov  2 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 2.2.7-9mdk
- fixes some problems with libraries (gl)

* Fri Nov  2 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 2.2.7-8mdk
- fixes some problem with libraries

* Fri Nov  2 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 2.2.7-7mdk
- devel-file-in-non-devel-package for OpenGL

* Fri Nov  2 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 2.2.7-6mdk
- fixes non-versioned files.

* Thu Nov  1 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 2.2.7-5mdk
- bugs fixes.

* Tue Oct 30 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 2.2.7-4mdk
- defattr

* Tue Oct 30 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 2.2.7-3mdk
- correct: permissions, no-dependency-on locales-gl, no-documentation
- file-not-in-%lang /usr/share/doc/wxGTK-devel-2.2.7/internat/de/internat.mo, etc...

* Mon Jun 18 2001 Yves Bailly <ybailly@mandrakesoft.com> 2.2.7-2mdk
- added samples in doc directory for the devel package

* Mon Jun 18 2001 Yves Bailly <ybailly@mandrakesoft.com> 2.2.7-1mdk
- updated to 2.2.7

* Thu Feb 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2.5-1mdk
- updated to 2.2.5

* Mon Jan 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2.4-1mdk
- updated to 2.2.4

* Tue Dec 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.2-2mdk
- build for gcc-2.96

* Sun Sep 17 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.2-1mdk
- update to 2.2.2
- clean spec
- BM

* Sat Aug 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.0-1mdk
- fix symlink that broke this lib
- update to 2.2.0
- macros

* Sat May 27 2000 Vincent Danen <vdanen@mandrakesoft.com> 2.1.15-2mdk
- add --with-gtk, --without-odbc, --without-shared, --without-debug_flag,
  and --without-debug_info to configure

* Fri May 26 2000 Vincent Danen <vdanen@mandrakesoft.com> 2.1.15-1mdk
- initial specfile
- bzip sources
